### Constructor

# Gtk.StringSorter.new

#### Declaration [src]

    GtkStringSorter*
    gtk_string_sorter_new (
      GtkExpression* expression
    )

#### Description [src]

Creates a new string sorter that compares items using the given `expression`.

Unless an expression is set on it, this sorter will always compare items as invalid.

#### Parameters

`expression` | `GtkExpression`
| The expression to evaluate
| Can be `NULL`
| Ownership of the data is transferred to the callee

#### Return value

Returns: `GtkStringSorter`
a new `GtkStringSorter`
Ownership of the data is transferred to the caller